View Issue Details

IDProjectCategoryView StatusLast Update
0032269Open CASCADEOCCT:DRAWpublic2021-12-17 18:41
Reporterosa Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.6.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032269: Draw Harness - update trinfo command with -lods option
DescriptionChange information about triangles number for each LOD. Use deferred triangles number read from file in case when LOD is not loaded (instead of 0 value).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032086 closedbugmaster Visualization - support deferred data loading 

Activities

git

2021-03-30 15:50

administrator   ~0099878

Branch CR32269 has been created by osa.

SHA-1: 7bc280540e2ca934f226b18b48d08c8c56ab106f


Detailed log of new commits:

Author: osa
Date: Tue Mar 30 15:49:57 2021 +0300

    0032269: Visualization - update trinfo command with -lods option

osa

2021-03-30 15:53

developer   ~0099881

http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32269-CR32269-OSA/view/ALL/

osa

2021-03-30 17:23

developer   ~0099891

osa

2021-03-30 17:23

developer   ~0099892

The patch is ready to review

bugmaster

2021-04-03 11:56

administrator   ~0100020

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-04-03 12:50

administrator   ~0100065

Branch CR32269 has been deleted by inv.

SHA-1: 7bc280540e2ca934f226b18b48d08c8c56ab106f

Related Changesets

occt: master cb766858

2021-03-30 12:49:57

osa


Committer: bugmaster Details Diff
0032269: Visualization - update trinfo command with -lods option Affected Issues
0032269
mod - src/MeshTest/MeshTest.cxx Diff File

occt-products: master 7cc5f9bb

2021-03-30 15:51:35

osa

Details Diff
0032269: Visualization - update trinfo command with -lods option Affected Issues
0032269
mod - tests/jt/lateload/A1 Diff File
mod - tests/jt/lateload/A4 Diff File

Issue History

Date Modified Username Field Change
2021-03-30 15:48 osa New Issue
2021-03-30 15:48 osa Assigned To => kgv
2021-03-30 15:48 osa Assigned To kgv => osa
2021-03-30 15:48 osa Status new => feedback
2021-03-30 15:49 osa Status feedback => assigned
2021-03-30 15:50 git Note Added: 0099878
2021-03-30 15:50 osa Relationship added related to 0032086
2021-03-30 15:53 osa Note Added: 0099881
2021-03-30 16:01 kgv Category OCCT:Visualization => OCCT:DRAW
2021-03-30 16:01 kgv Product Version => 7.6.0
2021-03-30 16:01 kgv Target Version => 7.6.0
2021-03-30 16:01 kgv Summary Visualization - update trinfo command with -lods option => Draw Harness - update trinfo command with -lods option
2021-03-30 17:23 osa Note Added: 0099891
2021-03-30 17:23 osa Note Added: 0099892
2021-03-30 17:23 osa Assigned To osa => abv
2021-03-30 17:23 osa Status assigned => resolved
2021-03-30 17:23 osa Steps to Reproduce Updated
2021-03-30 17:43 kgv Assigned To abv => bugmaster
2021-03-30 17:43 kgv Status resolved => reviewed
2021-03-30 17:43 kgv Relationship replaced child of 0032086
2021-04-03 11:56 bugmaster Note Added: 0100020
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:02 bugmaster Test case number => Not required
2021-04-03 12:13 bugmaster Changeset attached => occt master cb766858
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100065
2021-12-17 18:41 osa Changeset attached => occt-products master 7cc5f9bb